#
# spec file for package netacct (Version 0.71)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           netacct
URL:            http://exorsus.net/projects/net-acct/
License:        Other License(s), see package, GPL
Group:          Productivity/Networking/Diagnostic
Provides:       net-acct 
Autoreqprov:    on
Version:        0.71
Release:        511.2
Summary:        Network Accounting
Source:         net-acct_%{version}.tar.bz2
Source1:        nacctd.8
Patch:          net-acct_%{version}.dif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package logs network traffic. It provides a daemon (nacctd) that
logs all traffic passing through the machine it runs on (similar to
what tcpdump does).



Authors:
--------
    Ulrich Callmeier <uc@brian.lunetix.de>

%debug_package
%prep
%setup -n net-acct-%{version}-glibc2
%patch

%build
cd src
CFLAGS="$RPM_OPT_FLAGS" \
CXXFLAGS="$RPM_OPT_FLAGS" \
make

%install
[ -d %{buildroot} -a "%{buildroot}" != "" ] && rm -rf  %{buildroot}
install -d -m 755 $RPM_BUILD_ROOT{/usr/sbin,/etc,%{_mandir}/man8}
install -m 644 %{S:1} $RPM_BUILD_ROOT/%{_mandir}/man8
cd src
install -m 644 naccttab.sample $RPM_BUILD_ROOT/etc/naccttab
install -m 644 naccttab.sample.pcap $RPM_BUILD_ROOT/etc/naccttab.pcap
install -m 755 nacctd $RPM_BUILD_ROOT/usr/sbin

%clean
[ -d %{buildroot} -a "%{buildroot}" != "" ] && rm -rf  %{buildroot}

%files
%defattr(-,root,root)
/usr/sbin/nacctd
%config /etc/naccttab
%config /etc/naccttab.pcap
%doc CHANGES COPYING README contrib tools
%{_mandir}/man8/*

%changelog -n netacct
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Feb 10 2004 - postadal@suse.cz
- added nacctd.8 man page
- bziped tarball
- cleaned specfile
* Thu Jul 26 2001 - cihlar@suse.cz
- added BuildRoot
- fixed includes
* Wed May 09 2001 - ray@suse.de
- update to v 0.71
* Tue Apr 10 2001 - ro@suse.de
- added group tag
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Nov 16 1998 - ro@suse.de
- include asm/types for glibc (to get __u32)
* Wed Oct 07 1998 - ro@suse.de
- use correct includes for glibc
* Fri May 15 1998 - ray@suse.de
- fix package name
* Sat May 09 1998 - ray@suse.de
- new package netacct-0.4
